Summary:	KDE libraries (KChart, KGantt) for creating business diagrams
Name:		kdiagram
Version:	2.6.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	http://fr2.rpmfind.net/linux/KDE/stable/kdiagram/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
KDE libraries (KChart, KGantt) for creating business diagrams.

#----------------------------------------------------------------------------

%package -n kchart-i18n
Summary:	KChart translations
Group:		System/Internationalization
BuildArch:	noarch

%description -n kchart-i18n
KProperty translations.

%files -n kchart-i18n -f kchart.lang

#----------------------------------------------------------------------------

%define kchart_major 2
%define libkchart %mklibname kchart %{kchart_major}

%package -n %{libkchart}
Summary:	KDE business diagrams shared library (KChart)
Group:		System/Libraries
Requires:	kchart-i18n

%description -n %{libkchart}
KDE business diagrams shared library (KChart).

%files -n %{libkchart}
%{_kde5_libdir}/libKChart.so.%{kchart_major}*

#----------------------------------------------------------------------------

%define devkchart %mklibname kchart -d

%package -n %{devkchart}
Summary:	Development files for KDE business diagrams library (KChart)
Group:		Development/KDE and Qt
Requires:	%{libkchart} = %{EVRD}
Provides:	kchart-devel = %{EVRD}

%description -n %{devkchart}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkchart}
%{_kde5_includedir}/KChart/
%{_kde5_includedir}/kchart_version.h
%{_kde5_libdir}/cmake/KChart/
%{_kde5_libdir}/libKChart.so
%{_kde5_mkspecsdir}/qt_KChart.pri

#----------------------------------------------------------------------------

%package -n kgantt-i18n
Summary:	KGantt translations
Group:		System/Internationalization
BuildArch:	noarch

%description -n kgantt-i18n
KProperty translations.

%files -n kgantt-i18n -f kgantt.lang

#----------------------------------------------------------------------------

%define kgantt_major 2
%define libkgantt %mklibname kgantt %{kgantt_major}

%package -n %{libkgantt}
Summary:	KDE business diagrams shared library (KGantt)
Group:		System/Libraries
Requires:	kgantt-i18n

%description -n %{libkgantt}
KDE business diagrams shared library (KGantt).

%files -n %{libkgantt}
%{_kde5_libdir}/libKGantt.so.%{kgantt_major}*

#----------------------------------------------------------------------------

%define devkgantt %mklibname kgantt -d

%package -n %{devkgantt}
Summary:	Development files for KDE business diagrams library (KGantt)
Group:		Development/KDE and Qt
Requires:	%{libkgantt} = %{EVRD}
Provides:	kgantt-devel = %{EVRD}

%description -n %{devkgantt}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkgantt}
%{_kde5_includedir}/KGantt/
%{_kde5_includedir}/kgantt_version.h
%{_kde5_libdir}/cmake/KGantt/
%{_kde5_libdir}/libKGantt.so
%{_kde5_mkspecsdir}/qt_KGantt.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5 \
	-DBUILD_TESTING:BOOL=OFF
%make

%install
%makeinstall_std -C build

%find_lang kchart --with-qt
%find_lang kgantt --with-qt


%changelog

* Fri Jan 13 2017 Rosa <rosa@abf.rosalinux.ru> 2.6.0-1
- (2e33de2) Automatic import for version 2.6.0-1


